#!/bin/csh

##############################################################
# On verifier que les executables ont ete compiles.
##############################################################
foreach modele ( gcm create_etat0_limit )
if ( ! -f $modele.e ) then
echo compiler $modele.e en allant sur ....\/modipsl\/modeles\/LMDZ4 
echo et en lancant par exemple : makegcm -d 64x44x19 $modele
exit
endif
end



##############################################################
# rapatriement des fichiers pour l'initialisation
##############################################################

#
##############################################################
# Les fichiers ncessaires  l'initialisation de LMDZ ont
# t regroup sur un rpertoire LMDZ_Init sur le rseau
# local du lmd-jussieu.
# Ce rpertoire est accessible via internet au travers de la 
# commande wget.
# Si vous prfrez avoir directement ce rpertoire chez vous
# ou aprs un premier tlchargement, vous pouvez changer
# la variable dirorig, auquel cas init.x se contentera de creer
# des liens logiques vers ce repetoire.
##############################################################


##############################################################
# Positionnement du repertoire contenant les fichiers ncessaires
#  l'initialisation du modle.
##############################################################
set dirorig=PATCH_LMDZ4OR_G95/LMDZ_Init
set dirinit='/u/hourdin/WWW/'$dirorig

if ( `hostname` == brassens ) then
set dirorig=PATCH/LMDZ_Init
set dirinit='/home/hourdin/'$dirorig
endif

if ( `hostname` == branly ) then
set dirorig=LMDZ_Init
set dirinit='/data/hourdin/'$dirorig
endif



##############################################################
# Liens logiques dans le cas o les fichiers se trouvent
# deja sur le reseau
##############################################################

if ( -d $dirinit ) then
echo Le repertoire $dirinit est disponible sur votre reseau
set dirget=$dirinit
set get='ln -s'
set O=''

else
##############################################################
# Recuperation des fichiers par wget dans le cas ou il ne sont
# pas disponibles localement
##############################################################
echo Le repertoire $dirinit est disponible sur un reseau distant
echo celui du LMD Jussieu
echo Vous allez recuperrer automatiquement les fichiers necessaires a
echo l initialisation via la fonction wget.
echo 'Disposez vous de la fonction wget (o/n) ?'
set rep=$<

if ( $rep != o ) then
echo il faut installer wget o aller chercher les fichiers a la main.
exit
endif

which wget
set dirget="http://www.lmd.jussieu.fr/~hourdin/$dirorig/"
set get=wget
set O=-O

endif


##############################################################
# Recuperation des fichiers 
##############################################################
echo On accedes finalement au fichiers par la commande $get

set fo=( Albedo ECDYN Relief Rugos amipbc_sic_1x1_clim amipbc_sst_1x1_clim landiceref )
set ff=( Albedo ECDYN Relief Rugos amipbc_sic_1x1      amipbc_sst_1x1      landiceref )


set if=1
while ( $if <= $#ff )
   echo Rapatriement du fichier $ff[$if].nc
   set rep=o
   touch $ff[$if].nc
   set ii=1
   while ( `wc -w $ff[$if].nc | awk ' { print $1 } '` < 40  ) 
      \rm $ff[$if].nc
      $get  $dirget/$fo[$if].nc $O $ff[$if].nc
      if ( $ii > 10 ) then
         echo proleme pour le rapatriement de $ff[$if].nc
	 exit
      endif
      set ii=`expr $ii + 1`
   end
   echo Rapatriement du fichier $ff[$if].nc effectue
   set if=`expr $if + 1`
end

ln -s ECDYN.nc ECPHY.nc

##############################################################
# Rapatriement des fichiers .def
##############################################################

\rm liste_def
$get $dirget/liste_def liste_def
echo 'Quelle configuration (1,2, ...) voulez-vous utiliser ?'
cat liste_def
set n="$<"
echo $n
set deftar=`sed -n -e "$n p" liste_def | awk ' { print $2 } '`
echo $deftar
\rm def.tar
$get $dirget/$deftar def.tar
tar xvf def.tar
echo 'Voulez vous editer un des fichiers .def avant de continuer ? (o/n)'
if ( $< == o ) then
xterm -n "editer ici puis exit"
endif

##############################################################
# Initialisation du modele d'atmosphere
##############################################################
echo Lancement de l\'initialisation
sleep 5
create_etat0_limit.e

if ( -f startphy.nc ) then
echo Initialisation du modele d\'atmosphere OK.
else
echo vous n\'avez pas reussi a creer le fichier startphy.nc
echo Ca est bizarre, une fois.
exit
endif


##############################################################
# Lancement d'une premiere simulation avec auto-initialisation
# d'ORCHIDEE.
##############################################################

echo Rapatriement des fichiers necessaires a l\'initialisation d\'ORCHIDEE

foreach f ( carteveg5km.nc routing.nc lai2D.nc soils_param.nc )
   echo Rapatriement du fichier $f
   touch $f
   set ii=1
   while ( `wc -w $f | awk ' { print $1 } '` < 40  ) 
      \rm $f
      $get  $dirget/$f $O $f
      if ( $ii > 10 ) then
         echo proleme pour le rapatriement de $f
	 exit
      endif
      set ii=`expr $ii + 1`
   end
   echo Rapatriement du fichier $f effectue
end

\rm resta* sechiba_out.nc
gcm.e
